Bug 1264853 - RFE : trash helper translator at client-side
Summary: RFE : trash helper translator at client-side
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: GlusterFS
Classification: Community
Component: trash-xlator
Version: mainline
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Jiffin
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1319485
TreeView+ depends on / blocked
 
Reported: 2015-09-21 11:23 UTC by Jiffin
Modified: 2018-11-20 09:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-20 09:46:24 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Jiffin 2015-09-21 11:23:39 UTC
Description of problem:
A new trash helper translator is loaded on client side to resolve split brain issues with truncation of files. This will create gfid on fly for truncation operation.

Comment 1 Vijay Bellur 2016-01-12 04:41:26 UTC
REVIEW: http://review.gluster.org/13219 (features/trash : Introducing trash helper transaltor[WIP]) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)

Comment 2 Mike McCune 2016-03-28 22:22:31 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 3 Niels de Vos 2016-05-10 09:32:53 UTC
This didnt make it for GlusterFS 3.8, moving out of the tracking tree.

Comment 4 Jiffin 2018-11-20 09:46:24 UTC
No dev is actively working on above feature. Hence closing this as defered


Note You need to log in before you can comment on or make changes to this bug.